#!/bin/sh
FREEVO_INST_LOG="/log/freevo/inst.log"

#check for python 2.5
if [ "$(readlink /usr/bin/python |grep "2.5")" = "" ] ; then
   echo "Python will be updated to 2.5 - this could take a long time !"
   emerge --sync
   emerge -av python
   emerge -av dev-python/sip dev-python/python-fchksum dev-python/pyxml dev-python/pyopengl dev-python/pygame dev-python/pylirc dev-python/dbus-python dev-python/pyserial dev-python/pyopenssl dev-python/imaging dev-python/PyQt dev-python/pygobject dev-python/numeric dev-python/pyrex dev-python/beautifulsoup dev-python/twisted dev-python/elementtree dev-python/pynotifier dev-python/twisted-web dev-python/mysql-python dev-python/pycairo dev-python/docutils dev-python/pygtk dev-python/pycrypto dev-python/setuptools dev-python/eyeD3 dev-python/pysqlite dev-python/gdata net-zope/zopeinterface layman
fi

stp freevo
cd /usr/local/src/freevo/kaa/
svn up 2>&1  | tee -a $FREEVO_INST_LOG
if [ "$(tail -n 1 $FREEVO_INST_LOG | grep "^Updated")" != "" ] ; then
   python setup.py install --prefix=/usr 
fi   
cd /usr/local/src/freevo/freevo-1.x/
svn up 2>&1  | tee -a $FREEVO_INST_LOG
if [ "$(tail -n 1 $FREEVO_INST_LOG | grep "^Updated")" != "" ] ; then
   cd freevo
   ./autogen.sh nodocs
   python setup.py install --prefix=/usr
   sed -i /usr/lib/python2.5/site-packages/freevo/rc.py -e "s/).start(0.01)/).start(0.1)/" 
fi   
if [ "$(patch -f --dry-run /usr/lib/python2.5/site-packages/freevo/rc.py < /_config/update/patches/freevo.diff | grep FAILED)" = "" ] ; then 
   patch -f /usr/lib/python2.5/site-packages/freevo/rc.py < /_config/update/patches/freevo.diff
fi   
if [ "$(grep "^POLL_TIME" /etc/freevo/local_conf.py)" = "" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/POLL_TIME.*//"
   echo "" >> /etc/freevo/local_conf.py
   echo "POLL_TIME = 0.5" >> /etc/freevo/local_conf.py
fi
